<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "gmb_account".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "GmbAccount".
 *
 * Columns in table "gmb_account" available as properties of the model,
 * followed by relations of table "gmb_account" available as properties of the model.
 *
 * @property integer $id
 * @property string $name
 * @property string $description
 * @property string $date_added
 * @property string $date_last_sync
 *
 * @property GmbLocation[] $gmbLocations
 */
abstract class BaseGmbAccount extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'gmb_account';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'GmbAccount|GmbAccounts', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name', 'required'),
            array('name, description', 'length', 'max'=>120),
            array('date_added, date_last_sync', 'safe'),
            array('description, date_added, date_last_sync', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, name, description, date_added, date_last_sync', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'gmbLocations' => array(self::HAS_MANY, 'GmbLocation', 'gmb_account_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'description' => Yii::t('app', 'Description'),
            'date_added' => Yii::t('app', 'Date Added'),
            'date_last_sync' => Yii::t('app', 'Date Last Sync'),
            'gmbLocations' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('description', $this->description, true);
        $criteria->compare('date_added', $this->date_added, true);
        $criteria->compare('date_last_sync', $this->date_last_sync, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
